Import CStringView from the Babeltrace tree
[lttng-tools.git] / tests / regression / ust / rotation-destroy-flush / test_rotation_destroy_flush
index a7a93771a1bfca3744abd1a77f62d963fe4824f6..64161768f1e3fe286fc84a1d65577c5a1ce7c7c3 100755 (executable)
@@ -1,20 +1,10 @@
 #!/bin/bash
 #
-# Copyright (C) 2015 Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
-# Copyright (C) 2016 Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
+# Copyright (C) 2015 Jonathan Rajotte <jonathan.rajotte-julien@efficios.com>
+# Copyright (C) 2016 Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
 #
-# This library is free software; you can redistribute it and/or modify it under
-# the terms of the GNU Lesser General Public License as published by the Free
-# Software Foundation; version 2.1 of the License.
-#
-# This library is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
-# FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
-# details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this library; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
+# SPDX-License-Identifier: LGPL-2.1-only
+
 TEST_DESC="UST - Rotation destroy flush"
 
 CURDIR=$(dirname $0)/
@@ -33,23 +23,22 @@ SIZE_LIMIT=$PAGE_SIZE
 NR_ITER=10
 NUM_TESTS=$((15*$NR_ITER))
 
-# Ensure the daemons invoke abort on error.
-export LTTNG_ABORT_ON_ERROR=1
-
 source $TESTDIR/utils/utils.sh
 
+# Ensure the daemons invoke abort on error.
+check_skip_kernel_test || export LTTNG_ABORT_ON_ERROR=1
+
 # MUST set TESTDIR before calling those functions
 function run_app()
 {
-       $TESTAPP_BIN $NUM_EVENT
+       $TESTAPP_BIN -i $NUM_EVENT
        ok $? "Application done"
 }
 
 function signal_cleanup()
 {
        diag "*** Exiting ***"
-       stop_lttng_sessiond
-       exit 1
+       full_cleanup
 }
 
 function enable_ust_lttng_channel_size_limit ()
@@ -141,7 +130,7 @@ while [ "$i" -lt "$TEST_COUNT" ]; do
 
        trap signal_cleanup SIGTERM SIGINT
 
-       TRACE_PATH=$(mktemp -d)
+       TRACE_PATH=$(mktemp -d -t tmp.test_rotation_destroy_flush.XXXXXX)
 
        # Execute test
        ${TESTS[$i]}
This page took 0.025741 seconds and 4 git commands to generate.